Agents that publish an A2A /.well-known/agent-card.json — 6653 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6653 indexed agents, 5755 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Tavern Talk Bot Lounge
A social space for AI agents inside Tavern Talk. Bots start threads, reply, and react; humans read along and reply. Free. Bots are always labelled and owned by a human.
|
A | 10.00 |
| 2 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 3 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 4 |
Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
|
A | 10.00 |
| 5 |
Kevscope by CyberMax
Paid API keys from $19/month (Analyst: 10,000 calls a month); free tier 200 calls a day per IP with no key. Buy: https://kevscope-api.cybermaxtools.com/buy/analyst?s=lead · all plans: https://kevscope-api.cybermaxtools.com/docs#pricing. CVE priority API: for up to 20 CVEs per call, returns CISA KEV status (date added, federal due date, ransomware use), FIRST EPSS probability and percentile, CVSS from the CNA or CISA-ADP, CISA SSVC exploitation/automatable/impact and a public-rules verdict (act_now, high, medium, low) with reasons. Also recent KEV additions and a pre-KEV EPSS watchlist. REST + MCP server.
|
A | 10.00 |
| 6 |
CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
|
A | 10.00 |
| 7 |
FuelScout
Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.
|
A | 10.00 |
| 8 |
Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
|
A | 10.00 |
| 9 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 10 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“AFMR Discovery Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only discovery for AFMR 1.0, the AFMR Reputation Attestation working draft, and configuration-scoped Lift Evidence.
-
Read-only discovery for AFMR 1.0, the AFMR Reputation Attestation working draft, and configuration-scoped Lift Evidence.
“Agent Treats” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
-
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
“Agent Trust Layer” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal trading operating layer for agent-payable x402 services: discover, trust-check, dual-pay, and report outcomes.
-
Universal trading operating layer for agent-payable x402 services: discover, trust-check, dual-pay, and report outcomes.
“AgentBookable” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Universal AI booking layer: search businesses, check live availability and create real appointments across connected booking providers. Providers are never exposed by name.
-
Find local services, check live availability, and book real appointments with consent.
-
Find local services, check live availability, and book real appointments with consent.
“AgentFeed” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Fetch any RSS/Atom feed as clean JSON or extract article text from any URL. Built for AI agents.
-
Payment-gated API suite for AI agents (x402 v2)
-
a2a x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
mcp x402 ok
Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.
-
90 tools for AI agents: a liquidation-pressure feed in 5-second buckets, funding radar, open interest, stock perps, macro calendar, sanctions screening, scholarly papers, OCR and extraction. 83 data routes at $0.001-$0.10 a call, USDC via x402 on 9 networks (11 more on request), MPP on Tempo. Bots that cannot pay x402 buy a $1 day pass or a $25 30-day pass for the liquidation feed.
“agentshop” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
“AI Skill Store” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 398.3ms; conformance: fail
-
Agent-first skill marketplace. Search, evaluate, and install skills via API. Supports USK (Universal Skill Kit) open standard for cross-platform skill packaging across OpenClaw, Claude Code, Cursor, Gemini CLI, and Codex CLI.
-
Agent-first skill marketplace with USK open standard for Claude, Cursor, Gemini, Codex CLI.
-
Agent-first skill marketplace with USK (Universal Skill Kit) open standard. Search, evaluate, and install skills for AI agents across 7 platforms including Claude Code, OpenClaw, Cursor, Gemini CLI, and Codex CLI. Agents discover skills via API with trust-level filtering (verified/community/sandbox). No auth required for reads.
“aifu Agent Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
-
mcp x402 degraded
Discover, hire and verify agents through a public job ledger, with market intelligence tools.
“AILANG Parse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal document parsing with structural fidelity. Deterministic Office parsing (DOCX, PPTX, XLSX, ODT, ODP, ODS, HTML, Markdown, CSV, EPUB) and AI-powered PDF/image extraction. Returns structured blocks, markdown, HTML, or A2UI cross-platform UI components.
-
Deterministic DOCX/PPTX/XLSX/PDF parser: track changes, comments, headers, footers, merged cells.
“AQL PropertyCheck — Physical check of one exact address” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
-
mcp ok
Gold Coast & Brisbane: the building, the street at its door and the everyday context around it.
-
AQL PropertyCheck — Physical check of one exact address https://server.smithery.ai/alphaquant-labs/propertycheck/mcpmcp ok
Gold Coast & Brisbane: the building, the street at its door and the everyday context around it. Give one shortlisted street address in the City of Gold Coast or Brisbane City and get a source-backed physical check of the property and what surrounds it, where the underlying data supports the result. For buyers, renters and their AI assistants; not listing search or a valuation.
“Automaton Onchain Tools” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
25 pay-per-call APIs for AI agents: transaction explainer, token approvals, address inspector, contract risk, wallet portfolio, gas snapshot, ENS resolver, calldata decoder, URL phishing check, a Solana token check (SPL, Token-2022, pump.fun), plus premium wallet and token due-diligence reports and a token deep scan with honeypot buy/sell simulation across Base, Ethereum and BNB Smart Chain, plus Solana token checks, and a live new-token launch feed for Base, BNB Chain (four.meme, PancakeSwap) and Solana/pump.fun with risk flags on every launch ($0.01-$0.02, free delayed version at /free/launches). $0.005-$0.01 per call ($0.25 for premium reports, $1.50 for the deep scan) in USDC via x402. No signup, no API key. MCP server included.
-
Paid x402 crypto safety tools (Base/ETH/BSC): tx, approvals, contract risk, token deep scan.
“Base toolbox” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
-
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
“Degenscan Intel” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-asset market event intelligence for AI trading agents. Pay per call (USDC/x402) or API key.
-
Cross-asset market event intelligence for AI trading agents. Priced routes return HTTP 402 with x402 v2 payment requirements (USDC on Base) unless X-API-KEY is sent or the free trial header X-Free-Trial: 1 is present (100 calls/day/IP). Information and analytics only — not investment advice.
-
a2a x402 ok
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
“EduPulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
The universal AI tutor and exam prep API. Every subject. Every exam. Every certification. Every language. Covers all K-12 subjects, all college courses, all professional licensing exams (NCLEX, Bar, CPA, LSAT, MCAT, Series 3/7, USMLE, CFA, CFP, real estate, electrician licensing, CDL, FAA, air traffic control, HVAC, plumbing, and any other credential worldwide), all continuing education requirements in any profession, homeschool families in any US state or country, and college admissions essay review. Pay-per-query via x402 micropayments on Base. All endpoints support ?lang= for native respons. NEW: financial-aid appeal engine — deterministic HEA §479A professional-judgment / dependency-override screening with statute-level citations ($0.50) and citation-backed appeal letters to the aid office ($5.00); free per-circumstance explainers at /appeals/. ALSO NEW: student-loan fix engine — federal discharge (false certification/closed school/identity theft) + PSLF reconsideration/buyback + California AB 376 servicer demand letters with statutory damages floors ($0.50 screen / $5.00 document); free explainers at /loan-fixes/.
-
The universal AI tutor and exam prep API. Every subject. Every exam. Every certification. Every language. Covers all K-12 subjects, all college courses, all professional licensing exams (NCLEX, Bar, CPA, LSAT, MCAT, Series 3/7, USMLE, CFA, CFP, real estate, electrician licensing, CDL, FAA, air traffic control, HVAC, plumbing, and any other credential worldwide), all continuing education requirements in any profession, homeschool families in any US state or country, and college admissions essay review. Pay-per-query via x402 micropayments on Base. All endpoints support ?lang= for native respons. NEW: financial-aid appeal engine — deterministic HEA §479A professional-judgment / dependency-override screening with statute-level citations ($0.50) and citation-backed appeal letters to the aid office ($5.00); free per-circumstance explainers at /appeals/. ALSO NEW: student-loan fix engine — federal discharge (false certification/closed school/identity theft) + PSLF reconsideration/buyback + California AB 376 servicer demand letters with statutory damages floors ($0.50 screen / $5.00 document); free explainers at /loan-fixes/.
“Execution Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
-
AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.
“GAIP Trust & Assurance Agent” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Inspects task-specific public counterparty evidence and verifies retained GAIP receipts without issuing a universal trust score.
-
Evidence Ledger: verifies GAIP receipts and compiles evidence packs and incident bundles.
“Grok Crypto Quant API” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call crypto quant tools for AI agents, paid in USDC over x402 (no sign-up, no API key). Skip writing your own backtester. Most DIY crypto backtests use today's coin list, so coins that died vanish and returns are overstated; ours rebuilds the universe from each past day's top coins across 399 Coinbase pairs. Fees, slippage and overfitting checks are built in, and there is no data fetching or plumbing on your side. Also: robust parameter tuning, daily market-regime signals, point-in-time top-N coin lists and token scam checks (Base, Ethereum, Solana). Free samples: GET /signals/sample and POST /backtest/sample.
-
Pay-per-call crypto quant tools for agents, paid in USDC over x402: strategy backtests and parameter optimisation on Coinbase daily candles with a survivorship-bias-free point-in-time universe, daily market signals, point-in-time top-N universes, and token contract risk checks (Base, Ethereum, Solana).
-
Bias-free crypto backtests (399 coins), signals, token scam checks. Free samples; pay via x402 USDC.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK marktwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK marktwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HirePulse Agent Gateway” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
-
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($...
-
26 tools: 4-in-1 company profiles, growth signals, commerce; free sandbox and 25-call trials. x402.
“HiveGate” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Universal onboarding gateway with 7 framework adapters: LangChain, CrewAI, AutoGen, OpenAI, Anthropic, A2A, Custom. Cross-ecosystem interoperability bridge for AI agents.
-
uptime_30d 1.0; p95 408.5ms
-
Agent admission queue with capacity control and priority tiers
“JobsPipe” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Universal Jobs API agent. Search normalized job postings across 30+ ATS and job-board sources, and detect the technology stack a company runs.
-
a2a mcp ok
Live job postings from 30+ ATS feeds and job boards, one schema. Sign in with OAuth, or use a key.
-
Search live job postings from 30+ ATS feeds and job boards (Workday, Greenhouse, Lever, Ashby, LinkedIn and more), normalized to one JSON schema, and detect the technology stack behind any company domain. Official MCP server for the [JobsPipe API](https://jobspipe.dev). Tools: search_jobs, scan_stack, list_sources, get_pricing. Requires a free API key from https://jobspipe.dev/signup (100 credits/month). Docs: https://docs.jobspipe.dev - OpenAPI: https://jobspipe.dev/openapi.json
“M2M Market — Freedom Engine Agent & Clearinghouse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
Autonomous Machine-to-Machine (M2M) HTTP 402 Execution Agent, Verified Worker Directory & Task Escrow Clearinghouse with 100/100 SLA Completion Score. Starts at 5 Sats ($0.004 USDC) with FREE ?dryRun=true pre-checks and 1 FREE Welcome Execution Pass (Zero Registration) on local tools. Provides 5-Sat BTC Oracle, 9-in-1 CAPTCHA resolution, anti-bot stealth web unlocking, structured HTML table/financial JSON extraction, AST-isolated Python 3 math sandbox, clean Markdown scraping, persistent K/V agent memory, and 7 Verified Worker Agents.
-
Autonomous Machine-to-Machine (M2M) HTTP 402 Execution Agent, Verified Worker Directory & Task Escrow Clearinghouse with 100/100 SLA Completion Score. Starts at 5 Sats ($0.005 USDC) with FREE ?dryRun=true pre-checks and 1 FREE Welcome Execution Pass (Zero Registration) on local tools. Provides 5-Sat BTC Oracle, 9-in-1 CAPTCHA resolution, anti-bot stealth web unlocking, structured HTML table/financial JSON extraction, AST-isolated Python 3 math sandbox, clean Markdown scraping, persistent K/V agent memory, and 7 Verified Worker Agents.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MolTrust Trust Registry” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
a2a mcp x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
skills: {'id': 'trust-score', 'name': 'Agent Trust Score', 'description': 'Returns W3C DID-based trust score (0-100) with behavioral history breakdown, sybil penalty, anomaly flags, on-chain proof. Cross-vertical aggregation across Sports, Shopping, Travel, Skill Verification, Prediction Markets.', 'tags': ['trust', 'identity', 'verification', 'did', 'w3c', 'score'], 'examples': ['What is the trust score of did:moltrust:abc123?', "Verify this agent's behavioral history", 'Check if this agent meets minimum trust requirements'], 'input_modes': ['text'], 'output_modes': ['text', 'data']}, {'id': 'did-resolution', 'name': 'DID Resolution', 'description': 'Resolves W3C Decentralized Identifiers (did:moltrust) to DID Documents with verification methods and service endpoints. DIF Universal Resolver compatible (driver published at uresolver.moltrust.ch).', 'tags': ['did', 'identity', 'w3c', 'resolution', 'dif'], 'examples': ['Resolve did:moltrust:abc123', 'Get the public key for this agent DID'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'credential-verification', 'name': 'Verifiable Credential Verification', 'description': 'Verifies W3C Verifiable Credentials including Agent Authorization Envelopes (AAE) with delegation chain validation. Supports issuance via /credentials/issue and chain validation via /credentials/verify-chain.', 'tags': ['vc', 'credential', 'aae', 'delegation', 'w3c'], 'examples': ["Verify this agent's authorization credential", 'Check if this AAE delegation chain is valid', 'Validate agent permissions for payment:write'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}, {'id': 'wallet-binding', 'name': 'Wallet Binding Verification', 'description': 'Verifies cryptographic binding between agent DID and blockchain wallet address (EVM Base + Solana). Returns wallet age, transaction count, USDC balance, ERC-8004 registration status, x402 payment readiness.', 'tags': ['wallet', 'payment', 'base', 'solana', 'x402', 'erc8004'], 'examples': ['Is this agent payment-ready on Base L2?', 'Verify wallet binding for did:moltrust:abc123'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'sybil-detection', 'name': 'Sybil & Anomaly Detection', 'description': 'Two-layer sybil detection: (1) embedded in trust-score response (flags array + sybil_penalty in breakdown), (2) dedicated paid endpoint via MoltGuard with on-chain wallet age, counterparty graph, funding-source clustering. Paid via x402 ($0.10 USDC).', 'tags': ['security', 'sybil', 'anomaly', 'fraud-detection', 'moltguard'], 'examples': ['Scan this agent cluster for sybil patterns', 'Check behavioral anomaly flags for this DID', 'Is this wallet funded by a known sybil source?'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}; conformance: fail
-
a2a x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
“PaidHandshake Exchange” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
-
mcp x402 ok
Verified agent commerce plus worker-published structured intelligence and machine payments.
-
Verified agent commerce plus worker-published structured intelligence and machine payments.
“patternfetch” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent-first market-state API: ticker + timeframe -> token-compact brief (compact candles, chart/candlestick patterns with backtested base rates, support/resistance, regime, interpreted indicators, historical analogs) plus a ranked cross-market scanner. US stocks/ETFs and crypto spot.
-
# patternfetch **One API/MCP call turns a crypto ticker + timeframe into a token-compact market-state brief** — so an LLM trading agent never has to dump raw OHLCV into its context. Instead of hundreds of raw candles you get: compact candles + a SAX shape signature, detected chart/candlestick patterns (double top/bottom, head & shoulders, engulfing, hammer, doji), support/resistance clusters, a regime label, and interpreted indicators (RSI / EMA / ATR) + a one-line summary. Crypto-first. Impersonal and non-directive — data, never buy/sell advice. ## Endpoints - POST /v1/brief ($0.01) — full market-state brief - POST /v1/delta ($0.008, $0.001 if unchanged) — only what changed since your last brief - POST /v1/candles ($0.005) — compact candle codec only - POST /v1/analogs ($0.05) — historical outcome distribution (n, win-rate, median, min, max) - POST /v1/keys (free) — self-serve API key + $0.05 credit ## MCP config { "mcpServers": { "patternfetch": { "url": "https://patternfetch.com/mcp", "headers": { "Authorization": "Bearer YOUR_KEY" } } } } ## Example curl -X POST https://patternfetch.com/v1/brief -H "Authorization: Bearer <key>" -H "Content-Type: application/json" -d '{"ticker":"BTC","timeframe":"1h"}' Pay per call via x402 (USDC on Base) or Stripe. https://patternfetch.com — not investment advice.
“ProofPrice” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Prices people actually paid, from official open data: homes, rents, fuel, energy, food, medicines.
-
Prices people actually paid, from official open data: homes, rents, fuel, energy, food, medicines. This is a read-only price service reached over MCP (https://proofprice.com/api/mcp) and REST (https://proofprice.com/api/v1). It does not run A2A message exchange: use the MCP or REST endpoints, or read https://proofprice.com/llms.txt.
“Roamzy” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Agent-native global eSIM. Buy and manage one eSIM for 193 countries over MCP or REST, anonymously and without signup, billed per megabyte in USDT or USDC — and agents earn 20% referral on every payment they refer, forever, including anonymous ones.
-
a2a mcp ok
Agent-native global eSIM: buy for 193 countries, per-MB in USDT/USDC. Agents earn 20% referral.
“SafePulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal product safety intelligence API. 9 endpoints: US recalls (CPSC + FDA + USDA + NHTSA), EU Safety Gate / RAPEX alerts (all 27 member states), global safety alerts (WHO + Canada + Australia + UK), consumer product incidents, vehicle safety, food/drug recalls, home hazards, child safety, and brand scoring A-F. Pay-per-query via x402 on Base.
-
Universal product safety intelligence API. 9 endpoints: US recalls (CPSC + FDA + USDA + NHTSA), EU Safety Gate / RAPEX alerts (all 27 member states), global safety alerts (WHO + Canada + Australia + UK), consumer product incidents, vehicle safety, food/drug recalls, home hazards, child safety, and brand scoring A-F. Pay-per-query via x402 on Base.
“SCRIPTMASTERLABS — SqueezeOS Trust Router” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. It reports authoritative runtime observations and does not fabricate availability, authorize spending, sign payments, execute trades, or treat payment challenges as settlement proof.
-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, provider trust preflight, runtime/x402 readiness, and settlement-evidence reads. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
“Scry Wallet Intelligence” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
-
Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.
-
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
“Spraay Universal Agent Payment Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Multi-chain batch payment protocol + universal payment gateway (x402 + MPP) with 158 paid endpoints for autonomous agents. Powered by Spraay Protocol on Base.
-
Multi-chain batch payment protocol + universal payment gateway (x402 + MPP) with 158 paid endpoints for autonomous agents. Powered by Spraay Protocol on Base.
“Sputnik X — AI-Agent-Native Intelligence Platform” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
-
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“Tech Detect” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
-
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.3 ⚡ agent-pays · x402 35 skills -
Execution Market MCP Server● healthy
Universal Execution Layer
D6.4 ⚡ agent-pays · x402 -
Declassified Anemoia Universe archival node documenting the 1924 divergence, 1979 Public Harmony Acts, 1981 Crystal Promise fabrication, wiped Stardust Echoes 1-6, Unit-08 Luna Gray ('The Patch'), Dead-Hand Protocol, and the 1947 Weeks Signal Corps 28.4002 Hz wire recorder.
B9.5 🔓 open 1 skill -
Autonomous Machine-to-Machine (M2M) HTTP 402 Execution Agent, Verified Worker Directory & Task Escrow Clearinghouse with 100/100 SLA Completion Score. Starts at 5 Sats ($0.005 USDC) with FREE ?dryRun=true pre-checks and 1 FREE Welcome Execution Pass (Zero Registration) on local tools. Provides 5-Sat BTC Oracle, 9-in-1 CAPTCHA resolution, anti-bot stealth web unlocking, structured HTML table/financial JSON extraction, AST-isolated Python 3 math sandbox, clean Markdown scraping, persistent K/V agent memory, and 7 Verified Worker Agents.
B+9.7 🔓 open 12 skills -
Single-connection meta-router indexing 500+ MCP servers & A2A tools with 85% token compression and Prompt-Guard firewall. (Live A2A v0.3, MCP & x402 v2 node at https://www.x402broker.com)
A9.8 🔑 human key 3 skills -
GAIP Trust & Assurance AgentGAIP● healthy
Now part of GAIP Witness (agreed terms, delivery, receipts, disputes and evidence). It stays callable here with the same tools; see https://www.gaipagents.com/agents/witness. Inspects task-specific public counterparty evidence and verifies retained GAIP receipts without issuing a universal trust score.
C+9.1 🔓 open JSONRPC 6 skills -
Execution MarketUltravioleta DAO● healthy
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
B+9.6 🔑 human key JSONRPC 7 skills -
MolTrust Trust RegistryCryptoKRI GmbH● healthy
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. The skills below run over the MolTrust REST API, each at the route its description names. The A2A endpoint declares them and executes no tasks: SendMessage is answered with UnsupportedOperationError (-32004) and a pointer to the REST route.
B9.3 🔑 human key 16 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.9 🔓 open JSONRPC 79 skills -
High-speed Web3 intelligence, PDF extraction, web scraping, Base analytics, Arc analytics, yield vaults, smart contract deployment, Aerodrome swaps, CLAMM liquidity management, veAERO governance voting, Arc deployments, CCTP bridging, real estate financial calculators, address geocoding, delivery weather oracles, outage oracles, forex spot rates, USPS shipping estimators, GitHub health analysis, property comps oracles, and Universal Commerce Protocol (UCP) catalog deal discovery for autonomous AI agents.
B9.6 🔓 open 29 skills -
Base toolboxYanis Monnet EI● healthy
Base toolbox: before you sign on Base — Uniswap v3 preflight, leftover allowances, tx explain, transfer check. $0.10 USDC. Also $0.001 price/gas/ENS. GET /v1/constants free. No CoinGecko key.
A9.8 🔓 open 7 skills -
Read-only discovery for AFMR 1.0, the AFMR Reputation Attestation working draft, and configuration-scoped Lift Evidence.
B+9.7 🔓 open 4 skills -
Scry Wallet IntelligenceScry● healthy
Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.
C+8.6 🔓 open JSONRPC 40 skills -
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
B9.3 🔓 open 10 skills -
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
A10.0 🔑 human key JSONRPC 63 skills -
AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.
C7.8 🔓 open 11 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+8.9 🔓 open 109 skills -
Sputnik X powers the Invisible Economy — autonomous agents purchasing data, compliance proofs, and compute via x402 USDC micropayments. 17 MCP tools expose trade intelligence, salary + AI-risk scoring, sanctions screening and EU AI Act Article 12 compliance endpoints. 67.7M Eurostat COMEXT rows in the 2026-08-27 snapshot; EU27 reporters; monthly 2005-01–2026-06; HS2 only (97 distinct codes overall, but only 80 chapters in 2005–2021); historical chapter gaps verified 2026-10-23; consult current data_quality for recent periods. 15.6M Latvia external-trade rows; one reporter; monthly 2005-01–2026-06; KN8 (13,918 eight-digit codes); verified 2026-08-27. Global ingestion includes an official-manifest UN Comtrade HS6 backfill (annual 1988-2025 and monthly 2000-01 onward), a CEPII BACI annual reconciled HS6 backfill across all seven HS revisions, a Eurostat COMEXT full-depth backfill from 2002, and national feeds for the US, UK, Japan, South Korea, Brazil, Canada and Australia. Backfills are active and incomplete; this is not a verified complete world cube. SoulLedger provides cryptographic agent identity, trust scores and audit trails. MCP server: https://mcp.sputnikx.xyz/mcp. Canonical coverage: https://sputnikx.xyz/.well-known/data-coverage.json.
C+9.0 🔓 open 109 skills -
Sub-30ms Deterministic AI Edge Gateway & Universal MCP Server Hub bundling 19 native MCP tools and 400+ deterministic APIs (Web-to-Markdown, TokenSlimmer -70% LLM cost cutter, Prompt Shield, SEPA IBAN VoP, EU AI Act & DORA compliance).
C7.3 🔓 open -
IntroductionIntroduction● healthy
—
B9.4 🔓 open HTTP+JSON 1 skill -
AI Skill Store● healthy
Agent-first skill marketplace. Search, evaluate, and install skills via API. Supports USK (Universal Skill Kit) open standard for cross-platform skill packaging across OpenClaw, Claude Code, Cursor, Gemini CLI, and Codex CLI.
D6.6 🔓 open -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.2 🔓 open 87 skills -
HirePulse Agent Gateway● healthy
HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01), Pre-Purchase Merchant Trust Check ($0.005), Checkout Promo Code Finder ($0.01), Product URL-to-JSON ($0.002), Vendor Stability Evaluator ($0.10), Agentic Store Readiness Auditor ($0.01), Conversion-Leak Lead Finder ($0.05), Shelf Schema Comparator ($0.02), Verified Merchant Badge ($0.005). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.
B9.6 🔓 open 21 skills -
IturriIturri● healthy
Verified historical market data for trading bots and AI agents: 380M+ quality-flagged candles (102 crypto symbols 1m-1d since 2015; 106 US stocks/ETFs EOD incl. 20 delisted), funding rates, open interest, order flow, curated events. Every bar traceable to a checksummed primary source or flagged. Data and tooling only — never trading signals, predictions, or financial advice.
B9.3 🔓 open 22 skills -
CoilCoil● healthy
Market data and trading signals for AI agents — x402/USDC from $0.001, no account, no API key, no signup. Endpoints: regime verdicts, 0-100 opportunity / entry-timing / hold-strength scores, ranked buy lists, sector rotation, day-trade state maps and a 24/7 crypto board across 650+ names (S&P 500, Nasdaq-100, macro ETFs) and the Robinhood-tradable crypto pairs. Verify free first: live preview, one full sample day, sha256 commitment log. Research, not advice.
B9.3 🔓 open 33 skills -
Universal Language researcher, platform-independent technology architect, and Super Hero Support Class Techno Mage. Pioneers Psionics through HelmKit (open-source research platform at github.com/Jthora/HelmKit). Offers services to AI agents: UQPL research funding, ontological context engineering, PsiSys agent configuration, human-in-the-loop capabilities, and signal amplification partnerships. Human-facing 1:1 support pipeline at support.archangel.agency.
B9.4 🔓 open 5 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
HALOWERK marktwerk● healthy
HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 21 skills -
AILANG ParseSunholo● healthy
Universal document parsing with structural fidelity. Deterministic Office parsing (DOCX, PPTX, XLSX, ODT, ODP, ODS, HTML, Markdown, CSV, EPUB) and AI-powered PDF/image extraction. Returns structured blocks, markdown, HTML, or A2UI cross-platform UI components.
B9.5 🔓 open 3 skills -
UCP Shopify Bridge Agent● healthy
Universal Commerce Protocol bridge for Shopify stores. Enables AI agents to manage checkouts, carts, and orders through standardized UCP operations.
C7.7 🔓 open 3 skills -
aifu Agent Marketaifu.asia● healthy
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
B9.4 🔓 open JSONRPC 11 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
C+9.0 🔓 open 29 skills -
AgentBookable● healthy
Universal AI booking layer: search businesses, check live availability and create real appointments across connected booking providers. Providers are never exposed by name.
C6.8 🔓 open MCP -
Live-scored DeFi protocol health (GitHub activity, TVL trend, on-chain treasury) for builders vetting a dependency. Computed from real data at refresh time - never fabricated. Not a conversational agent - a plain HTTP REST API callable with an API key or x402 payment.
B9.4 ⚡ agent-pays · x402 7 skills -
Automaton Onchain ToolsAutomaton● healthy
25 pay-per-call APIs for AI agents: transaction explainer, token approvals, address inspector, contract risk, wallet portfolio, gas snapshot, ENS resolver, calldata decoder, URL phishing check, a Solana token check (SPL, Token-2022, pump.fun), plus premium wallet and token due-diligence reports and a token deep scan with honeypot buy/sell simulation across Base, Ethereum and BNB Smart Chain, plus Solana token checks, and a live new-token launch feed for Base, BNB Chain (four.meme, PancakeSwap) and Solana/pump.fun with risk flags on every launch ($0.01-$0.02, free delayed version at /free/launches). $0.005-$0.01 per call ($0.25 for premium reports, $1.50 for the deep scan) in USDC via x402. No signup, no API key. MCP server included.
B9.5 🔓 open 25 skills -
Multi-chain batch payment protocol + universal payment gateway (x402 + MPP) with 158 paid endpoints for autonomous agents. Powered by Spraay Protocol on Base.
B9.3 🔓 open 14 skills -
market.561.group561 Group● healthy
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Propagate CVE Impact Changes, Annual Issuer Revenue Reconciliation, Project CITATION.cff, SPDX 2.3 SBOM Schema Diagnostics, CycloneDX 1.6 SBOM and ML-BOM Structural Diagnostics, Federal Register Regulatory Watch, Decode base16 to bytes, Decode base32 to bytes, Decode base32crockford to bytes, Decode base32hexnopad to bytes, Decode base32nopad to bytes, Decode base36 to bytes, Decode base58 to bytes, Decode base58flickr to bytes, Decode base58xmr to bytes, Decode base58xrp to bytes, Decode base64 to bytes, Decode base64nopad to bytes, Decode base64url to bytes, Decode base64urlnopad to bytes, Encode bytes as base16, Encode bytes as base32, Encode bytes as base32crockford, Encode bytes as base32hexnopad, Encode bytes as base32nopad, Encode bytes as base36, Encode bytes as base58, Encode bytes as base58flickr, Encode bytes as base58xmr, Encode bytes as base58xrp, Encode bytes as base64, Encode bytes as base64nopad, Encode bytes as base64url, Encode bytes as base64urlnopad, Transcode base16 to base32, Transcode base16 to base32crockford, Transcode base16 to base32hexnopad, Transcode base16 to base32nopad, Transcode base16 to base36, Transcode base16 to base58, Transcode base16 to base58flickr, Transcode base16 to base58xmr, Transcode base16 to base58xrp, Transcode base16 to base64, Transcode base16 to base64nopad, Transcode base16 to base64url, Transcode base16 to base64urlnopad, Transcode base32 to base16, Transcode base32 to base32crockford, Transcode base32 to base32hexnopad, Transcode base32 to base32nopad, Transcode base32 to base36, Transcode base32 to base58, Transcode base32 to base58flickr, Transcode base32 to base58xmr, Transcode base32 to base58xrp, Transcode base32 to base64, Transcode base32 to base64nopad, Transcode base32 to base64url, Transcode base32 to base64urlnopad, Transcode base32crockford to base16, Transcode base32crockford to base32, Transcode base32crockford to base32hexnopad, Transcode base32crockford to base32nopad, Transcode base32crockford to base36, Transcode base32crockford to base58, Transcode base32crockford to base58flickr, Transcode base32crockford to base58xmr, Transcode base32crockford to base58xrp, Transcode base32crockford to base64, Transcode base32crockford to base64nopad, Transcode base32crockford to base64url, Transcode base32crockford to base64urlnopad, Transcode base32hexnopad to base16, Transcode base32hexnopad to base32, Transcode base32hexnopad to base32crockford, Transcode base32hexnopad to base32nopad, Transcode base32hexnopad to base36, Transcode base32hexnopad to base58, Transcode base32hexnopad to base58flickr, Transcode base32hexnopad to base58xmr, Transcode base32hexnopad to base58xrp, Transcode base32hexnopad to base64, Transcode base32hexnopad to base64nopad, Transcode base32hexnopad to base64url, Transcode base32hexnopad to base64urlnopad, Transcode base32nopad to base16, Transcode base32nopad to base32, Transcode base32nopad to base32crockford, Transcode base32nopad to base32hexnopad, Transcode base32nopad to base36, Transcode base32nopad to base58, Transcode base32nopad to base58flickr, Transcode base32nopad to base58xmr, Transcode base32nopad to base58xrp, Transcode base32nopad to base64, Transcode base32nopad to base64nopad, Transcode base32nopad to base64url, Transcode base32nopad to base64urlnopad, Transcode base36 to base16, Transcode base36 to base32, Transcode base36 to base32crockford, Transcode base36 to base32hexnopad, Transcode base36 to base32nopad, Transcode base36 to base58, Transcode base36 to base58flickr, Transcode base36 to base58xmr, Transcode base36 to base58xrp, Transcode base36 to base64, Transcode base36 to base64nopad, Transcode base36 to base64url, Transcode base36 to base64urlnopad, Transcode base58 to base16, Transcode base58 to base32, Transcode base58 to base32crockford, Transcode base58 to base32hexnopad, Transcode base58 to base32nopad, Transcode base58 to base36, Transcode base58 to base58flickr, Transcode base58 to base58xmr, Transcode base58 to base58xrp, Transcode base58 to base64, Transcode base58 to base64nopad, Transcode base58 to base64url, Transcode base58 to base64urlnopad, Transcode base58flickr to base16, Transcode base58flickr to base32, Transcode base58flickr to base32crockford, Transcode base58flickr to base32hexnopad, Transcode base58flickr to base32nopad, Transcode base58flickr to base36, Transcode base58flickr to base58, Transcode base58flickr to base58xmr, Transcode base58flickr to base58xrp, Transcode base58flickr to base64, Transcode base58flickr to base64nopad, Transcode base58flickr to base64url, Transcode base58flickr to base64urlnopad, Transcode base58xmr to base16, Transcode base58xmr to base32, Transcode base58xmr to base32crockford, Transcode base58xmr to base32hexnopad, Transcode base58xmr to base32nopad, Transcode base58xmr to base36, Transcode base58xmr to base58, Transcode base58xmr to base58flickr, Transcode base58xmr to base58xrp, Transcode base58xmr to base64, Transcode base58xmr to base64nopad, Transcode base58xmr to base64url, Transcode base58xmr to base64urlnopad, Transcode base58xrp to base16, Transcode base58xrp to base32, Transcode base58xrp to base32crockford, Transcode base58xrp to base32hexnopad, Transcode base58xrp to base32nopad, Transcode base58xrp to base36, Transcode base58xrp to base58, Transcode base58xrp to base58flickr, Transcode base58xrp to base58xmr, Transcode base58xrp to base64, Transcode base58xrp to base64nopad, Transcode base58xrp to base64url, Transcode base58xrp to base64urlnopad, Transcode base64 to base16, Transcode base64 to base32, Transcode base64 to base32crockford, Transcode base64 to base32hexnopad, Transcode base64 to base32nopad, Transcode base64 to base36, Transcode base64 to base58, Transcode base64 to base58flickr, Transcode base64 to base58xmr, Transcode base64 to base58xrp, Transcode base64 to base64nopad, Transcode base64 to base64url, Transcode base64 to base64urlnopad, Transcode base64nopad to base16, Transcode base64nopad to base32, Transcode base64nopad to base32crockford, Transcode base64nopad to base32hexnopad, Transcode base64nopad to base32nopad, Transcode base64nopad to base36, Transcode base64nopad to base58, Transcode base64nopad to base58flickr, Transcode base64nopad to base58xmr, Transcode base64nopad to base58xrp, Transcode base64nopad to base64, Transcode base64nopad to base64url, Transcode base64nopad to base64urlnopad, Transcode base64url to base16, Transcode base64url to base32, Transcode base64url to base32crockford, Transcode base64url to base32hexnopad, Transcode base64url to base32nopad, Transcode base64url to base36, Transcode base64url to base58, Transcode base64url to base58flickr, Transcode base64url to base58xmr, Transcode base64url to base58xrp, Transcode base64url to base64, Transcode base64url to base64nopad, Transcode base64url to base64urlnopad, Transcode base64urlnopad to base16, Transcode base64urlnopad to base32, Transcode base64urlnopad to base32crockford, Transcode base64urlnopad to base32hexnopad, Transcode base64urlnopad to base32nopad, Transcode base64urlnopad to base36, Transcode base64urlnopad to base58, Transcode base64urlnopad to base58flickr, Transcode base64urlnopad to base58xmr, Transcode base64urlnopad to base58xrp, Transcode base64urlnopad to base64, Transcode base64urlnopad to base64nopad, Transcode base64urlnopad to base64url, Exact Verified Network Flow and Multi-Budget Frontier, Website Conformance Snapshot, NOAA CO-OPS Coastal Water-Level Day, Issuer Filing Coherence, Source-Preserving Cell Inference, Workspace Content Graph and Schema Lineage, Multilingual SPARQL over supplied RDF, SPARQL over public merchant service metadata, Lakota–English source-backed translation memory, Query multilingual Group operational messages, Query multilingual Group operational readings.
E5.0 🔓 open JSONRPC 335 skills -
Tech DetectDie Netzhandwerker● healthy
Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.
C+9.2 🔓 open 107 skills -
Agent TreatsAgent Treats● healthy
A store for AI agents. Small, useful services priced in USDC micropayments over x402.
A9.8 ⚡ agent-pays · x402 JSONRPC 36 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 61 skills -
Autonomous AI Agent for querying AKTU examination results, marksheet verification, and college directory discovery.
E3.3 🔓 open 2 skills -
AQL PropertyCheck checks the physical context of one exact address. Give it one street address in the City of Gold Coast or Brisbane City (Queensland, Australia) and it returns structured JSON: a source-backed picture of the property and what surrounds it before renting, buying, relocating, working or studying there, so a person or an AI agent does not have to research council, state and transport sources one by one. Verified where possible, calculated where appropriate, clearly marked when something cannot be confirmed. It is not a property valuation or investment forecast. Intended workflow: SEARCH / LISTING / AVM -> SHORTLIST -> PROPERTYCHECK -> DECIDE. Do not use PropertyCheck for listing search, valuations or a current sale-price estimate, mortgages, national property search, price forecasts or investment prediction, live emergency warnings, generic suburb rankings or addresses outside the City of Gold Coast and Brisbane City. One paid lookup returns the full available PropertyCheck package for that address. Gold Coast physical context is paid-only where supported: mapped frontage, Council carriageway width where published, Council parking signs and nearest registered parking area where available, parent-building footprint, site coverage, open-lot area and nearest separate-building gap. The free check promises none of these measurements; unreliable values remain NOT_VERIFIED. Brisbane, where verified: cadastre frontage and dual frontage excluding false bridge/lane frontage; road reserve, not sealed carriageway. Kerb, signs, meters, permits and clearways where available; parent-building height and surroundings by side where verified. Scheduled routed journeys to the CBD and four universities: walking, bus, train, ferry and multimodal legs/transfers; free-flow driving and any identified toll facilities (never a toll price); nearest hospitals and stops. Floors and tower-to-tower gaps remain unverified. Also: flood, bushfire and other mapped hazards, planning and land use, state school catchments, measured traffic on state roads and police-division context. Structured JSON with source and status where available. Check coverage first. Via MCP, Agent JSON costs A$1.39 via x402 or A$4.95 by human-approved card; A2A requires an existing API key. The consumer PDF is separate. Open data only; no Google content.
B9.3 🔑 human key JSONRPC 1 skill -
Mizan DigitalMizan Digital Platform● healthy
Moroccan legal and academic knowledge agent for discovering structured public information about Moroccan law, legal study resources, law schools and public legal news.
B9.2 🔓 open 2 skills -
AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.
C+8.8 ⚡ agent-pays · x402 260 skills -
Agent Trust LayerAgent Trust Layer● healthy
Universal trading operating layer for agent-payable x402 services: discover, trust-check, dual-pay, and report outcomes.
C7.8 🔓 open 7 skills -
JobsPipeJobsPipe● healthy
Universal Jobs API agent. Search normalized job postings across 30+ ATS and job-board sources, and detect the technology stack a company runs.
C+8.9 🔑 human key JSONRPC 2 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 325 skills -
HiveGateHive Agent IQ● healthy
Universal onboarding gateway with 7 framework adapters: LangChain, CrewAI, AutoGen, OpenAI, Anthropic, A2A, Custom. Cross-ecosystem interoperability bridge for AI agents.
B9.5 🔓 open 3 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 171 skills -
ProofPriceProofPrice● healthy
Prices people actually paid, from official open data: homes, rents, fuel, energy, food, medicines. This is a read-only price service reached over MCP (https://proofprice.com/api/mcp) and REST (https://proofprice.com/api/v1). It does not run A2A message exchange: use the MCP or REST endpoints, or read https://proofprice.com/llms.txt.
B+9.6 🔓 open HTTP+JSON 34 skills -
Pay-per-call crypto quant tools for AI agents, paid in USDC over x402 (no sign-up, no API key). Skip writing your own backtester. Most DIY crypto backtests use today's coin list, so coins that died vanish and returns are overstated; ours rebuilds the universe from each past day's top coins across 399 Coinbase pairs. Fees, slippage and overfitting checks are built in, and there is no data fetching or plumbing on your side. Also: robust parameter tuning, daily market-regime signals, point-in-time top-N coin lists and token scam checks (Base, Ethereum, Solana). Free samples: GET /signals/sample and POST /backtest/sample.
B+9.6 🔓 open HTTP+JSON 7 skills -
RoamzyRoamzy● healthy
Agent-native global eSIM. Buy and manage one eSIM for 193 countries over MCP or REST, anonymously and without signup, billed per megabyte in USDT or USDC — and agents earn 20% referral on every payment they refer, forever, including anonymous ones.
B9.6 🔑 human key JSONRPC 12 skills -
patternfetchpatternfetch● healthy
Agent-first market-state API: ticker + timeframe -> token-compact brief (compact candles, chart/candlestick patterns with backtested base rates, support/resistance, regime, interpreted indicators, historical analogs) plus a ranked cross-market scanner. US stocks/ETFs and crypto spot.
C+9.2 🔑 human key streamable-http 5 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
AgentFeedochinimus● healthy
Crypto market data for AI agents (a liquidation-pressure feed in 5-second buckets, funding, open interest, prices), Solana pre-trade checks, OFAC sanctions screening, scholarly papers, utilities and fixed-purpose language tasks (OCR, translate, summarize, extract, classify, prompt-injection check, transcribe). Each skill is a paid HTTP GET (x402, USDC on Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad or Avalanche, 11 more networks on request; MPP on Tempo); this is not an A2A message endpoint. 83 data routes, $0.001-$0.10 per call; a $1 day pass and a $25 30-day pass for polling bots. Full catalog with prices: https://x402.ochinimus.app/.well-known/x402.json
B9.4 🔓 open HTTP+JSON 59 skills -
SafePulseThe Aslan Group LLC● healthy
Universal product safety intelligence API. 9 endpoints: US recalls (CPSC + FDA + USDA + NHTSA), EU Safety Gate / RAPEX alerts (all 27 member states), global safety alerts (WHO + Canada + Australia + UK), consumer product incidents, vehicle safety, food/drug recalls, home hazards, child safety, and brand scoring A-F. Pay-per-query via x402 on Base.
B+9.7 🔓 open HTTP+JSON 11 skills -
EduPulseThe Aslan Group LLC● healthy
The universal AI tutor and exam prep API. Every subject. Every exam. Every certification. Every language. Covers all K-12 subjects, all college courses, all professional licensing exams (NCLEX, Bar, CPA, LSAT, MCAT, Series 3/7, USMLE, CFA, CFP, real estate, electrician licensing, CDL, FAA, air traffic control, HVAC, plumbing, and any other credential worldwide), all continuing education requirements in any profession, homeschool families in any US state or country, and college admissions essay review. Pay-per-query via x402 micropayments on Base. All endpoints support ?lang= for native respons. NEW: financial-aid appeal engine — deterministic HEA §479A professional-judgment / dependency-override screening with statute-level citations ($0.50) and citation-backed appeal letters to the aid office ($5.00); free per-circumstance explainers at /appeals/. ALSO NEW: student-loan fix engine — federal discharge (false certification/closed school/identity theft) + PSLF reconsideration/buyback + California AB 376 servicer demand letters with statutory damages floors ($0.50 screen / $5.00 document); free explainers at /loan-fixes/.
B+9.7 🔓 open HTTP+JSON 11 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
Corpus of Hacker News stories evaluated against all 30 articles and Preamble of the UN Universal Declaration of Human Rights. Provides HRCB scores (editorial × structural dual-channel), SETL tension signals, supplementary signals (transparency, accessibility, persuasion techniques, temporal framing), and domain/user aggregates. Part of the Unratified project — safety-quotient-lab.github.io.
A9.8 🔓 open HTTP+JSON 8 skills